/*
 * @(#)UserServiceException.java
 *
 * Copyright 2006 Sony Corporation
 */
package info.dragonlady.cluster;

/**
 * ユーザ管理に関する例外。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.2 $ $Date: 2006/03/09 14:43:01 $
 */
public class UserServiceException extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7256099747984686721L;

	/**
	 * コンストラクタ。
	 */
	public UserServiceException() {
		super();
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 */
	public UserServiceException(String message) {
		super(message);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param cause 原因
	 */
	public UserServiceException(Throwable cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param message メッセージ
	 * @param cause 原因
	 */
	public UserServiceException(String message, Throwable cause) {
		super(message, cause);
	}

}
